// Uninstall.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "Uninstall.h"
#include "Utility.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

const LPCTSTR LogFileName = TEXT("Uninstall.log");

void Uninstall() {
	CString logPath = MakePath(GetModuleDir(), LogFileName);
	CString logData = FileToString(logPath, false);
	StringVector log;
	StringListToStringVector(logData, TEXT("\r\n"), log);
	CString notRemoved;

	for (size_t i = 0; i < log.size(); ++i)
		if (!UninstallFile(log[i]))
			notRemoved += log[i] + '\n';

	if (notRemoved.IsEmpty())
		MessageBox(NULL, TEXT("Uninstall completed successfully!"), TEXT("Finished"), MB_OK|MB_ICONINFORMATION);
	else {
		notRemoved = TEXT("The following files or folders could not be removed:\n\n") + notRemoved;
		MessageBox(NULL, notRemoved, TEXT("Finished"), MB_OK|MB_ICONWARNING);
	}
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow) {
	if (MessageBox(NULL, TEXT("This will uninstall Lite Edit. Continue?"), TEXT("Uninstall"), MB_YESNO|MB_ICONINFORMATION) == IDYES)
		Uninstall();

	return 0;
}
